{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "name": ".NET Core Launch (mk)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      "program": "${workspaceFolder}/MarketData/MarketData/bin/Debug/net8.0/mk.dll",
      "args" : [],
//      "args" : ["RUNCMBACKTEST", "/STARTDATE:10-31-2019", "/MAXPOSITIONS:3", "/INITIALCASH:5000", "/HOLDINGPERIOD:3", "/TARGETBETA:1", "/SESSIONFILE:/home/pi/ARM64/MarketData/MarketData/Models/CM20191031.TXT"],
//      "args": ["RUNBACKTEST", "/STARTDATE:01-31-2018","/MAXPOSITIONS:3","/INITIALCASH:10000","/HOLDINGPERIOD:3","/INTRADAYMODE:FALSE","/SESSIONFILE:/home/pi/ARM64/MarketData/MarketData/Models/MG20180131.TXT"],
      "cwd": "${workspaceFolder}/MarketData/MarketData",
      "console": "internalConsole",
      "stopAtEntry": false
    },
    {
      "name": ".NET Core Launch (mks)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      "program": "${workspaceFolder}/MarketDataServer/bin/Debug/net8.0/mks.dll",
      "args": [],
      "cwd": "${workspaceFolder}/MarketDataServer",
      "console": "internalConsole",
      "stopAtEntry": false
    },
    {
      "name": ".NET Core Launch (ipmonitor)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      "program": "${workspaceFolder}/IPMonitor/bin/Debug/net8.0/ipmonitor.dll",
      "args": ["IPMONITOR","/FORCE:true"],
      "cwd": "${workspaceFolder}/IPMonitor",
      "console": "internalConsole",
      "stopAtEntry": false
    },

  ]
}